New Ticket     Tickets     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search

Custom Query (41356 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (1 - 100 of 41356)

1 2 3 4 5 6 7 8 9 10 11
Ticket Summary Owner Type Priority Milestone Component
#51490 spam macports-tickets@… defect Normal ports
#51483 spam macports-tickets@… defect Normal ports
#51476 VLC @2.2.2 Configure error - ffmpeg/libavutil version problem macports-tickets@… defect Normal ports
Description

VLC build fails at the configuration stage, under 10.10 and 10.11, with:

:info:configure configure: error: libavutil versions 55 and later are not supported.

This coincides with ffmpeg being updated from @2.8.6_2+gpl2+x11 to @3.0.2_0+gpl2+x11 . I find libavutil is suppied by ffmpeg, which is in turn brought in as a dependency of webkit2-gtk in our build-server scripts. Naiive attempts to first force-uninstall ffmpeg first result in the same version of ffmpeg (inc libavutil version 57) being preinstalled as a dependency.

Could you let me know what else to try, please?

#51475 spam macports-tickets@… defect Normal ports
#51474 spam macports-tickets@… defect Normal ports
#51473 librsvg @2.40.15 does not scale output correctly devans@… defect Normal ports
Description

When using rsvg-convert, specifying width -w, height -h, or zoom factors -x / -y are expected to scale the output.

This is broken in the current version, which instead changes the canvas size without scaling the image.

See https://bugzilla.redhat.com/show_bug.cgi?id=1314138 and https://bugzilla.gnome.org/show_bug.cgi?id=520654.

The breaking commit is https://git.gnome.org/browse/librsvg/commit/?id=fecfcce44a959daff80a4e0f9ced83d7cdcb5903

Debian at least has removed this commit until the issue is fixed upstream: it would be nice if macports can do the same.

#51472 pspp port includes libglade2 as dependency - added relocation build variant (PATCH) snc@… enhancement Normal ports
Description

Hi Jeremy,

the pspp port package includes the libglade2 port dependency, but this is not required for building and running. I removed the dependency in the attached patch for the pspp portfile

I looked into making a pspp application bundle that can be installed like a usual bundle. A prerequisite for this is to configure pspp with --enable-relocatable.

My idea to produce the bundle is to derive it from the macports pspp package and to use gtk-mac-bundler to make it relocatable. But I still need to have the --enable-relocatable configuration setting the package. Therefore I added the variant "reloc" which adds this configuration switch.

Would you mind adding this variant to the pspp portfile? This change is also in the patch.

The bundle generation would be outside macports via a script. I think about adding the script and gtk-mac-bundler configuration files to the pspp source.

Friedrich

#51471 doxygen port fail for install css@… defect Normal ports
Description
>sudo port install doxygen
Warning: The Xcode Command Line Tools don't appear to be installed; most ports will likely fail to build.
Warning: Install them by running `xcode-select --install'.
--->  Computing dependencies for doxygen
--->  Fetching archive for doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from https://packages.macports.org/doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from http://nue.de.packages.macports.org/doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from http://lil.fr.packages.macports.org/doxygen
--->  Fetching distfiles for doxygen
--->  Verifying checksums for doxygen
--->  Extracting doxygen
--->  Applying patches to doxygen
--->  Configuring doxygen
Error: org.macports.configure for port doxygen returned: configure failure: command execution failed
Please see the log file for port doxygen for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_doxygen/doxygen/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port doxygen failed
AirMacX:/ rz3dvp$ sudo port clean doxygen
--->  Cleaning doxygen
AirMacX:/ rz3dvp$ sudo port clean gnuradio
--->  Cleaning gnuradio
AirMacX:/ rz3dvp$ sudo port install doxygen
Warning: The Xcode Command Line Tools don't appear to be installed; most ports will likely fail to build.
Warning: Install them by running `xcode-select --install'.
--->  Computing dependencies for doxygen
--->  Fetching archive for doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from https://packages.macports.org/doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from http://nue.de.packages.macports.org/doxygen
--->  Attempting to fetch doxygen-1.8.10_2.darwin_15.x86_64.tbz2 from http://lil.fr.packages.macports.org/doxygen
--->  Fetching distfiles for doxygen
--->  Verifying checksums for doxygen
--->  Extracting doxygen
--->  Applying patches to doxygen
--->  Configuring doxygen
Error: org.macports.configure for port doxygen returned: configure failure: command execution failed
Please see the log file for port doxygen for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_doxygen/doxygen/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port oxygen failed

Please help for fix it!

#51469 gcc6 @6.1.0_0 Internal compiler error: in fold_binary_loc macports-tickets@… defect Normal ports
Description

Attempting to compile the attached file, using a C++14 constexpr function, with g++-mp-6 results in

consterr.cpp: In function 'int main()':
consterr.cpp:29:34:   in constexpr expansion of 'operator*<int, 3, 2>(x2p1, xm1)'
consterr.cpp:29:34: internal compiler error: in fold_binary_loc, at fold-const.c:9252
     constexpr auto prod = x2p1 * xm1;
                                  ^~~

consterr.cpp:29:34: internal compiler error: Abort trap: 6
g++-mp-6: internal compiler error: Abort trap: 6 (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://trac.macports.org/newticket> for instructions.

It compiles succesfully with clang++ (Apple LLVM version 7.3.0 (clang-703.0.31)). I am on OS X El Capitan, 10.11.4, with Xcode 7.3.1 installed.

#51468 Homebank @5.0.8 updating a port to a newer upstream version macports-tickets@… update Normal ports
Description

Hello

I updated from version 5.0.7 to 5.0.8

Thank you

#51466 Zenity works for many commands but not for notification devans@… defect Normal ports
Description

ElCapitan with all ports up to date

I installed xinit and xorg-server as advertised in ticket:42739 and rebooted but the following problem remains.

--notification commands do not show a zenity dialog and report an error

zenity --notification --text "show me something."

** (zenity:2501): WARNING **: Error showing notification: The connection is closed

by contrast (but with a warning), I can run

zenity --info --text "show me something."
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

Thanks for any hint to improve this

#51465 hdf5-18: rename h5pfc instead of h5fc when a mpi variant is set takeshi@… defect Normal ports
Description

hdf5-18 +mpich +fortran staging fails on rename.

related to ticket:51182? probably just apply the same fix to the fortran part of the Portfile.

#51464 borgbackup 1.0.2: update to 1.0.3 macports-tickets@… update Normal ports
Description

Enclosed a diff for updating sysutils/borgbackup to 1.0.3. Changelog can be found at ​https://github.com/borgbackup/borg/blob/1.0.3/docs/changes.rst

#51462 gtk3 variant quartz does not need mesa -> results in X install (PATCH) jeremyhu@… defect Normal ports
Description

The gtk3 package depends on the mesa package which depends on X

For the quartz variant, the mesa package should not be listed as dependency as the quartz variant will not use X and does not depend on mesa. This will avoid to install the complete X system into the installation.

I attached a patch for the gtk3 portfile that move the mesa port dependency to the x11 variant section.

#51461 update relax to 4.0.2 release macports-tickets@… update Normal ports
Description

The attached Portfile diff updates the relax package to the current 4.0.2 release. Tested on 10.11.

#51460 Fixes for pHash macports-tickets@… enhancement Normal ports
Description

extern "C" for all functions in audiophash.h (patch-audiophash.h.diff) fix for 4 channel images (patch-pHash.cpp.diff) I've tried to contact the authors to apply the patches, but never got a reply from them.

#51459 baresip: upgrade to version 0.4.19 macports-tickets@… update Normal ports
Description

this patch upgrades baresip to the latest release, v0.4.19

#51455 Opencoarrays @1.3.6: update to 1.6.0 macports-tickets@… update Normal ports
Description

OpenCoarrays has been updated to version 1.6.0.

#51453 Update CImg to 1.7.1 macports-tickets@… update Normal ports
#51450 swi-prolog-devel @7.3.20: update to 7.3.21 macports-tickets@… update Normal ports
Description

Update the swi-prolog-devel portfile for the latest release.

#51446 spam macports-tickets@… defect Normal ports
#51442 wine + fail to install .exe on Mac macports-tickets@… defect Normal ports
Description

I am trying to use wine to install .exe on Mac using the code:

wine LicenseInstall.exe

But it prompt "Run-time error '445': Object doesn't support this action", and in Terminal it shows:

fixme:ole:CLSIDFromProgIDEx L"Scripting.FileSystemObject",0x32eabc: semi-stub
fixme:scrrun:filesys_QueryInterface Unsupported interface {7fd52380-4e07-101b-ae2d-08002b2ec713}
fixme:scrrun:filesys_QueryInterface Unsupported interface {37d84f60-42cb-11ce-8135-00aa004bb851}
fixme:scrrun:folder_get_Drive (0x1d5ae8)->(0x32ec5c): stub

I'll appreciate your help, thanks.

#51440 Trying to install PSPP via Macports on OSX El Capitan macports-tickets@… defect Normal ports
Description

Hello, I'm trying to install PSPP on my MacBook but seem to be having a host of problems witht he following error:

Last login: Thu May 19 20:59:17 on ttys000
Johns-MBP-3:~ john$ sudo port install pspp
--->  Computing dependencies for pspp
--->  Dependencies to be installed: adwaita-icon-theme gtk3 at-spi2-atk at-spi2-core dbus expat gobject-introspection libffi py27-mako py27-beaker py27-setuptools python27 bzip2 db48 gettext libiconv ncurses libedit python2_select python_select readline sqlite3 zlib py27-markupsafe xorg-libX11 xorg-kbproto xorg-libXau xorg-xproto xorg-libXdmcp xorg-libxcb xorg-libpthread-stubs xorg-xcb-proto libxml2 xz xorg-libXi xorg-inputproto xorg-libXext xorg-xextproto xorg-libXfixes xorg-fixesproto xorg-libXtst xorg-recordproto xorg-libice xorg-libsm atk gdk-pixbuf2 jasper jpeg libpng shared-mime-info tiff hicolor-icon-theme libepoxy python34 python3_select mesa xorg-dri2proto xorg-glproto xorg-libXdamage xorg-damageproto xorg-libXmu xorg-libXt xorg-libXxf86vm xorg-xf86vidmodeproto xorg-libXcomposite xorg-compositeproto xorg-libXcursor xrender xorg-renderproto xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto librsvg libcroco vala fontconfig freetype gsl gtksourceview3 libglade2 gtk2 makeicns pkgconfig texinfo perl5.22 gdbm
--->  Activating expat @2.1.1_0
Error: org.macports.activate for port expat returned: Image error: /opt/local/bin/xmlwf already exists and does not belong to a registered port.  Unable to activate port expat. Use 'port -f activate expat' to force the activation.
Error: Failed to install expat
Please see the log file for port expat for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_expat/expat/main.log
Error: The following dependencies were not installed: adwaita-icon-theme gtk3 at-spi2-atk at-spi2-core dbus expat gobject-introspection libffi py27-mako py27-beaker py27-setuptools python27 bzip2 db48 gettext libiconv ncurses libedit python2_select python_select readline sqlite3 zlib py27-markupsafe xorg-libX11 xorg-kbproto xorg-libXau xorg-xproto xorg-libXdmcp xorg-libxcb xorg-libpthread-stubs xorg-xcb-proto libxml2 xz xorg-libXi xorg-inputproto xorg-libXext xorg-xextproto xorg-libXfixes xorg-fixesproto xorg-libXtst xorg-recordproto xorg-libice xorg-libsm atk gdk-pixbuf2 jasper jpeg libpng shared-mime-info tiff hicolor-icon-theme libepoxy python34 python3_select mesa xorg-dri2proto xorg-glproto xorg-libXdamage xorg-damageproto xorg-libXmu xorg-libXt xorg-libXxf86vm xorg-xf86vidmodeproto xorg-libXcomposite xorg-compositeproto xorg-libXcursor xrender xorg-renderproto xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto librsvg libcroco vala fontconfig freetype gsl gtksourceview3 libglade2 gtk2 makeicns pkgconfig texinfo perl5.22 gdbm
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port pspp failed
#51433 graphite2: fatal error: 'unistd.h' file not found ryandesign@… defect Normal ports
Description

My Mac is OSX Yosemite version 10.10.5, Xcode 7.2(7C68) Fail to install graphite2 when I want to install wine. How can I fix that? Thank you!

Error: org.macports.build for port graphite2 returned: command execution failed
Error: Failed to install graphite2
Please see the log file for port graphite2 for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_graphics_graphite2/graphite2/main.log
Error: The following dependencies were not installed: gstreamer010-gst-plugins-base gnome-vfs gconf gtk3 pango harfbuzz graphite2 xorg-libXcomposite xorg-compositeproto xorg-libXcursor xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto orbit2 libidl policykit mozjs17 autoconf213 perl5 nspr gnome-mime-data iso-codes libogg libtheora libvorbis orc coreutils xorg-libXv xorg-videoproto lcms2 libGLU
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port wine failed
#51431 xorg-libXt must be installed with +flat_namespace macports-tickets@… defect Normal ports
Description
[liviuungur@liviu1 images]$ sudo port install nedit
--->  Computing dependencies for nedit
--->  Dependencies to be installed: openmotif
--->  Fetching archive for openmotif
Error: org.macports.archivefetch for port openmotif returned: xorg-libXt must be installed with +flat_namespace.
Error: Failed to install openmotif
Please see the log file for port openmotif for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_x11_openmotif/openmotif/main.log
Error: The following dependencies were not installed: openmotif
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port nedit failed

The package "xorg-libXt @1.1.5_1 (x11, devel)" is installed by macport.

The file " /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_x11_openmotif/openmotif/main.log" is attached.

OSX El Capitan, Version 10.11.5

#51430 How to access port programmes (such as chkrootkit or clamav) macports-tickets@… defect Normal ports
Description

I have macports installed on El Capitan but port and sudo port commands to try to activate a macports installed programme only produces an error such as:

Error: Unrecognized action "port clam"
Error: org.macports.load for port clamav returned: Launchd plist /Library/LaunchDaemons/org.macports.clamav.plist was not found

So I don't know how to use macports programmes. Sudo port self-update works and other port commands but I can't access anything in it, any of the programmes that macport has installed to run and use them. I've looked long and hard for answers on the net but can't find anything.

#51429 [Update] php-scrypt to 1.4 (PHP 7 Support) ryandesign@… update Normal ports
Description

Dominic Black updated his PECL extension to include PHP 7 support: https://pecl.php.net/package/scrypt

#51422 Missing python 3.5 in the list of supported interpreter of py-sh sean@… enhancement Normal ports
#51421 gstreamer1-gst-plugins-bad --" build command execution failed" macports-tickets@… defect Normal ports
Description
OS_X 10.10.5 (Yosemite)
Error: org.macports.build for port gstreamer1-gst-plugins-bad returned: command execution failed
Please see the log file for port gstreamer1-gst-plugins-bad for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gnome_gstreamer1-gst-plugins-bad/gstreamer1-gst-plugins-bad/main.log
Error: Problem while installing gstreamer1-gst-plugins-bad
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
#51420 py27-matplotlib @ 2.3.4 build failure command execution failed macports-tickets@… defect Normal ports
Description

Hi there,

I'm quite new to packages and everything around but I'm currently trying to install py27-matplotlib. It returns: Error: org.macports.build for port py27-matplotlib returned: command execution failed

I am running OSX 10.11.5 and Xcode 6.4 with command line tools.

Cleaned and retried several times but produces the same error

here the last lines of the log where the error seems to appear:

:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:7:15: error: expected ';' after @class
:info:build @class NSArray<ObjectType>;
:info:build               ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:7:16: error: cannot find protocol declaration for 'ObjectType'
:info:build @class NSArray<ObjectType>;
:info:build                ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:34:25: error: cannot find protocol declaration for 'ObjectType'
:info:build @interface NSEnumerator<ObjectType> : NSObject <NSFastEnumeration>
:info:build                         ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:34:37: error: expected identifier or '('
:info:build @interface NSEnumerator<ObjectType> : NSObject <NSFastEnumeration>
:info:build                                     ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:36:13: error: expected ')'
:info:build - (nullable ObjectType)nextObject;
:info:build             ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:36:3: note: to match this '('
:info:build - (nullable ObjectType)nextObject;
:info:build   ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:40:25: error: cannot find protocol declaration for 'ObjectType'
:info:build @interface NSEnumerator<ObjectType> (NSExtendedEnumerator)
:info:build                         ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:40:1: error: duplicate interface definition for class 'NSEnumerator'
:info:build @interface NSEnumerator<ObjectType> (NSExtendedEnumerator)
:info:build ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:34:12: note: previous definition is here
:info:build @interface NSEnumerator<ObjectType> : NSObject <NSFastEnumeration>
:info:build            ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:40:37: error: method type specifier must start with '-' or '+'
:info:build @interface NSEnumerator<ObjectType> (NSExtendedEnumerator)
:info:build                                     ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:40:38: error: expected a type
:info:build @interface NSEnumerator<ObjectType> (NSExtendedEnumerator)
:info:build                                      ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:42:1: error: expected selector for Objective-C method
:info:build @property (readonly, copy) NSArray<ObjectType> *allObjects;
:info:build ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSEnumerator.h:42:36: error: cannot find protocol declaration for 'ObjectType'
:info:build @property (readonly, copy) NSArray<ObjectType> *allObjects;
:info:build                                    ^
:info:build In file included from src/_macosx.m:1:
:info:build In file included from /System/Library/Frameworks/Cocoa.framework/Headers/Cocoa.h:12:
:info:build In file included from /System/Library/Frameworks/Foundation.framework/Headers/Foundation.h:10:
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:16:32: error: cannot find protocol declaration for 'ObjectType'
:info:build @interface NSArray<__covariant ObjectType> : NSObject <NSCopying, NSMutableCopying, NSSecureCoding, NSFastEnumeration>
:info:build                                ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:16:44: error: expected identifier or '('
:info:build @interface NSArray<__covariant ObjectType> : NSObject <NSCopying, NSMutableCopying, NSSecureCoding, NSFastEnumeration>
:info:build                                            ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:19:4: error: expected a type
:info:build - (ObjectType)objectAtIndex:(NSUInteger)index;
:info:build    ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:21:40: error: expected ')'
:info:build - (instancetype)initWithObjects:(const ObjectType [])objects count:(NSUInteger)cnt NS_DESIGNATED_INITIALIZER;
:info:build                                        ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:21:33: note: to match this '('
:info:build - (instancetype)initWithObjects:(const ObjectType [])objects count:(NSUInteger)cnt NS_DESIGNATED_INITIALIZER;
:info:build                                 ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:26:20: error: cannot find protocol declaration for 'ObjectType'
:info:build @interface NSArray<ObjectType> (NSExtendedArray)
:info:build                    ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:26:1: error: duplicate interface definition for class 'NSArray'
:info:build @interface NSArray<ObjectType> (NSExtendedArray)
:info:build ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:16:12: note: previous definition is here
:info:build @interface NSArray<__covariant ObjectType> : NSObject <NSCopying, NSMutableCopying, NSSecureCoding, NSFastEnumeration>
:info:build            ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:26:32: error: method type specifier must start with '-' or '+'
:info:build @interface NSArray<ObjectType> (NSExtendedArray)
:info:build                                ^
:info:build /System/Library/Frameworks/Foundation.framework/Headers/NSArray.h:26:33: error: expected a type
:info:build @interface NSArray<ObjectType> (NSExtendedArray)
:info:build                                 ^
:info:build fatal error: too many errors emitted, stopping now [-ferror-limit=]
:info:build 20 errors generated.
:info:build error: command '/usr/bin/clang' failed with exit status 1
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-matplotlib/py27-matplotlib/work/matplotlib-1.5.1" && /opt/local/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7 setup.py --no-user-cfg build 
:info:build Exit code: 1
:error:build org.macports.build for port py27-matplotlib returned: command execution failed
:debug:build Error code: CHILDSTATUS 28654 1
:debug:build Backtrace: command execution failed
    while executing
"system -nice 0 $fullcmdstring"
    ("eval" body line 1)
    invoked from within
"eval system $notty $nice \$fullcmdstring"
    invoked from within
"command_exec build"
    (procedure "portbuild::build_main" line 8)
    invoked from within
"portbuild::build_main org.macports.build"
    ("eval" body line 1)
    invoked from within
"eval $procedure $targetname"
:info:build Warning: targets not executed for py27-matplotlib: org.macports.activate org.macports.build org.macports.destroot org.macports.install
:notice:build Please see the log file for port py27-matplotlib for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-matplotlib/py27-matplotlib/main.log
#51418 nodejs @4.4.3, nodejs-devel @5.11.0: update to 4.4.4/6.1.0 - security advisory macports-tickets@… update Normal ports
Description

nodejs port currently at 4.4.3. nodejs-devel port currently at 5.11.0.

There is a security advisory for SSL against these versions. Fixed in 4.4.4 and 6.1.0.

Thanks.

#51416 libcaca @0.99.beta19: Checksum (rmd160 / sha256) mismatch ryandesign@… defect Normal ports
Description

I was trying to install gnuplot +pangocairo +qt +wxwidgets on a fresh MacPorts installation.

Gnuplot brings in libcaca, but it appears that the checksums can not be verified and the installation stops. I did a sudo port clean --dist libcaca and then a sudo port install libcaca but it still fails.

I am wondering, can it be the case that some server is simply down and can not verify the checksums, or is it the case that the checksums have not been updated on the server side? In any case, attached the log file.

#51415 logtalk @3.04.2: update to 3.05.0 macports-tickets@… update Normal ports
Description

Update the logtalk portfile for the latest release.

#51412 gnss-sdr update to 0.0.7 michaelld@… update Normal ports
Description

Update to upstream version 0.0.7

#51410 mariadb-10.0: update to 10.0.25 pixilla@… update Normal ports
Description

hi, could anyone upgrade the mariadb-10.0.22 to 10.0.25?

thanks

#51409 Git mirror for trunk is out of sync admin@… defect High server/hosting
Description

The trunk Git mirror (​git://git.macports.org/macports/trunk.git) is at r148499 while the SVN repository is at r148743.

(High priority because it used to work and now it is broken.)

#51408 volk-gnss-sdr update to 0.0.7 michaelld@… update Normal ports
Description

Update to upstream version 0.0.7

#51406 PATCH: www/webkit-gtk 2.4.10+ fails to build with undeclared toRenderBox jeremyhu@… defect Normal ports
Description

www/webkit-gtk 2.4.10+ fails to build with undeclared toRenderBox.

I have borrowed this patch from the Gentoo Bugzilla, and it seems to work well with webkit-gtk 2.4.10 and 2.4.11.

#51405 MPlayer: update to 1.3 jeremyhu@… update Normal ports
Description

Mplayer was updated to version 1.3.

#51403 py-google-api @1.5.0_0 missing dependency on py-six macports-tickets@… defect Normal ports
Description

py27-google-api was recently updated from version 1.2 to 1.5.0 (ticket #51283). After updating, the following python error is encountered when it is used, due to a new dependency on py27-six:

  File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/apiclient/__init__.py", line 3, in <module>
    from six import iteritems
ImportError: No module named six

Manually installing py27-six corrects the issue. Please add the dependency to the Portfile so that it will be installed automatically. Thanks.

#51402 Problem installing kmymoney on El Capitan macports-tickets@… defect Normal base
Description

I am trying to get kmymoney into a new installation of El Capitan on a MacBook Pro. Last fall, I was successful in getting this to work on a different new El Capitan installation on an iMac (and on everything else I've run it on--Linux, Windows and Mac--going back a number of years).

Here's the problem I'm running into:

I installed MacPorts and everything went fine. I then typed "sudo port install kmymoney4" and it told me it was computing dependencies. It listed all the dependencies and went for one (the first time out, this was gmp). It then listed a bunch of repositories where it looked and ended up with an error saying that archivefetch failed to find gmp, bringing the whole process to a halt.

I tried this a few times, with the same result, so I thought I'd try just installing gmp individually. I typed "sudo port install gmp" and it worked perfectly. So then I tried kmymoney4 again, and ran into exactly the same problem with the curl-ca-bundle package. So I installed that separately, and it worked. I followed the same process (failed kmymoney4 install, then successful individual package install) with expat and libiconv, but kmymoney4 just keeps hanging on the next package.

At some point, I got an error saying that my DNS server was reporting that some sites that don't exist actually do, and it suggested that I change my DNS server (this makes sense--my cable provider "helpfully" turns bad web addresses into a search that it takes command of). So I changed my DNS server to Google (8.8.8.8 and 8.8.4.4) and I no longer get that error.

So it's clear that these packages are in the repositories, because they will install by themselves. But I can't seem to get them to install as part of kmymoney4.

I'm hoping this is something dumb I'm doing on my end that someone much smarter than me will quickly realize. Any thoughts?

#51401 Upgrade ffmpeg @2.8.6_2 to newer stable devans@… update Normal ports
Description

ffmpeg has released 3.0 stable (possibly even 3.0.2), port ffmpeg should be bumped.

#51399 octave-4.0.2_0 upgrade fails mcalhoun@… defect Normal ports
Description

octave-4.0.2_0+app+atlas+docs+fltk+gcc5+java+qt4gui+sound.darwin_15.x86_64 failed to install.

:info:build In file included from /opt/local/include/gcc5/c++/cstdlib:72:0,
:info:build                  from /opt/local/include/gcc5/c++/bits/stl_algo.h:59,
:info:build                  from /opt/local/include/gcc5/c++/algorithm:62,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qglobal.h:68,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qnamespace.h:45,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qobjectdefs.h:45,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qobject.h:47,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/QObject:1,
:info:build                  from /opt/local/libexec/qt4/include/Qsci/qscilexeroctave.h:28,
:info:build                  from src/m-editor/file-editor-tab.cc:32:
:info:build ../libgnu/stdio.h:1039:1: error: conflicting declaration of 'char* gets(char*)' with 'C++' linkage
:info:build  _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
:info:build  ^
:info:build In file included from ../libgnu/stdio.h:43:0,
:info:build                  from ../libgnu/wchar.h:71,
:info:build                  from /opt/local/include/gcc5/c++/cwchar:44,
:info:build                  from /opt/local/include/gcc5/c++/bits/postypes.h:40,
:info:build                  from /opt/local/include/gcc5/c++/bits/char_traits.h:40,
:info:build                  from /opt/local/include/gcc5/c++/string:40,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qstring.h:54,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/qobject.h:48,
:info:build                  from /opt/local/libexec/qt4/include/QtCore/QObject:1,
:info:build                  from /opt/local/libexec/qt4/include/Qsci/qscilexeroctave.h:28,
:info:build                  from src/m-editor/file-editor-tab.cc:32:
:info:build /usr/include/stdio.h:257:7: note: previous declaration with 'C' linkage
:info:build  char *gets(char *);
#51398 Request: Upgrade nodejs-devel to Node.js version 6.1.0 macports-tickets@… update Normal ports
Description

I'm a compulsive updater. Figured the "devel" port should be on the new-new. Thanks!

#51394 Digikam Error Code: CHILDSTATUS 95457 2 macports-tickets@… defect Normal ports
Description

I've been trying to install digikam and have gotten so far along that I know receive the error code: CHILDSTATUS 95457 2. Any ideas how to get around this?

#51393 apache-ant @1.9.6: upgrade to 1.9.7 macports-tickets@… update Normal ports
Description

new version avaliable

#51391 Update pypi helpers and make python packages to use it macports-tickets@… enhancement Normal ports
Description
  • Change mirror_sites to https://files.pythonhosted.org/packages/source/:nosubdir
  • Change livecheck to use https://pypi.python.org/pypi/${livecheck.name}/json and adjust livecheck.regex accordingly
  • Modify python packages to use pypi for master_sites
#51390 sudo @1.8.15_0: update to 1.8.16 youvegotmoxie@… defect Normal ports
Description

sudo has been updated to version 1.8.16. See http://www.sudo.ws/stable.html#1.8.16 for details.

#51389 Cadabra Installation macports-tickets@… defect Normal ports
Description

I cleaned cadabra and then attempted to install again. Ran into the same issue with installing as before cleaning. Here is the terminal log:

Nicholass-MBP:~ nlucas$ sudo port clean cadabra
--->  Cleaning cadabra
Nicholass-MBP:~ nlucas$ sudo port install cadabra
--->  Computing dependencies for cadabra
--->  Fetching archive for cadabra
--->  Attempting to fetch cadabra-1.33_1+gui.darwin_15.x86_64.tbz2 from https://packages.macports.org/cadabra
--->  Attempting to fetch cadabra-1.33_1+gui.darwin_15.x86_64.tbz2 from http://sea.us.packages.macports.org/macports/packages/cadabra
--->  Attempting to fetch cadabra-1.33_1+gui.darwin_15.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/cadabra
--->  Fetching distfiles for cadabra
--->  Verifying checksums for cadabra
--->  Extracting cadabra
--->  Configuring cadabra
--->  Building cadabra
Error: org.macports.build for port cadabra returned: command execution failed
Please see the log file for port cadabra for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_cadabra/cadabra/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port cadabra failed
Nicholass-MBP:~ nlucas$ 

Any help would be fantastic.

  • Nicholas Lucas
#51387 R-app @1.66_0: update to 1.68 kjell.konis@… update Normal ports
Description

R-app has been updated to version 1.68. New since the last version:

-- Release Version 1.68 (7203) - supplied with R 3.3.0 --

Last-update: 2016-03-11

  • Make RLogoNew.icns the current logo.

-- Release Version 1.67 (7152) - supplied with R 3.2.4 --

Last-update: 2016-03-02

  • Added RLogoNew.icns based on the 2015/6 R logo and containing

'x2' PNGs for use on retina screens. (The PNGs were made with Photoshop and converted to .icns by iconutil -c icns.) This logo should be used with R >= 3.3.0.

#51385 py27-scipy upgrade fails michaelld@… defect Normal ports
Description

I have 0.17.0_0 installed and I just attempted an upgrade to 0.17.1_0, but it fails during build. Log file is attached.

#51381 ansible @2.0.1.0.1 install errors with git clone failed adfernandes@… defect Normal ports
Description

Just tried to install ansible and it failed when trying to clone the git repo with this error "SSL certificate problem: Couldn't understand the server certificate format".

This looks like a similar issue I've encountered and raised when trying to install git-flow #49539 but that hasn't been resolved.

I've attached the error log file. Let me know if you need anymore details, as I would really like to install and use ansible.

#51379 PSPP quickly crashes whenever attempting calculations. snc@… defect Normal ports
Description

I've loaded most recent versions of MacPorts, X11 and PSPP. When I try to run PSPP and load a data file, I get these error statements:

(psppire:29778): Gtk-WARNING **: Allocating size to GtkSeparatorToolItem 0x7fc253846d70 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
Warning: cannot create a converter for `Mac-CentralEurope' to `UTF-8': Invalid argument
Warning: cannot create a converter for `ISO-IR-111' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacUkrainian' to `UTF-8': Invalid argument
Warning: cannot create a converter for `GEOSTD8' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacGujarati' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacGurmukhi' to `UTF-8': Invalid argument
Warning: cannot create a converter for `ISO-8859-8-I' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacDevangari' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacIcelandic' to `UTF-8': Invalid argument
Warning: cannot create a converter for `MacRomanian' to `UTF-8': Invalid argument
Warning: cannot create a converter for `TVCN' to `UTF-8': Invalid argument
Warning: cannot create a converter for `VPS' to `UTF-8': Invalid argument

(psppire:29778): Gtk-CRITICAL **: gtk_css_style_render_icon_surface: assertion 'surface != NULL' failed

(psppire:29778): Gtk-CRITICAL **: gtk_css_style_render_icon_surface: assertion 'surface != NULL' failed

(psppire:29778): Gtk-CRITICAL **: gtk_css_style_render_icon_surface: assertion 'surface != NULL' failed

(psppire:29778): Gtk-CRITICAL **: gtk_css_style_render_icon_surface: assertion 'surface != NULL' failed

(psppire:29778): Gtk-CRITICAL **: gtk_css_style_render_icon_surface: assertion 'surface != NULL' failed
#51378 Atlas build hangs - El Capitan vince@… defect Normal ports
Description

I'm trying to build Atlas on OSX 10.11.4 (MacBook, Pro early 2015). The build hangs. I know Atlas takes a very long time to compile. I left it running for about 24 hours.

Running sudo port -v install atlas, the build stopped at:

make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_atlas/atlas/work/ATLAS/build/bin'

At this point no processes with user 'macports' were active. xatlas_build was still alive, but not doing anything. I ctrl-C killed the build.

Rerunning the same command (without cleaning) to try to resume fails outright:

Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_atlas/atlas/work/ATLAS/build" && /usr/bin/make -w build 
Exit code: 2
Error: org.macports.build for port atlas returned: command execution failed
Warning: targets not executed for atlas: org.macports.activate org.macports.build org.macports.destroot org.macports.install
Please see the log file for port atlas for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_atlas/atlas/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port atlas failed

full logs attached.

#51374 qbs 1.5.0 ryandesign@… update Normal ports
#51373 spring-boot-cli @1.3.3_0: update to 1.3.5 macports-tickets@… update Normal ports
Description

https://spring.io/blog/2016/05/06/spring-boot-1-3-4-released

https://spring.io/blog/2016/05/10/spring-boot-1-3-5-released

https://github.com/spring-projects/spring-boot/issues?q=milestone%3A1.3.4

https://github.com/spring-projects/spring-boot/issues?q=milestone%3A1.3.5

#51372 py-enchant: Add py35 sub-port macports-tickets@… enhancement Normal ports
Description

If Python 3.5 support could be added to this port, I imagine that would be helpful. Thanks.

#51371 doxygen @1.8.10: Unable to determine iconv() signature css@… defect Normal ports
Description

Attempting to install gnuradio onto OS X 10.11.4. Please refer to the attached log file (main.log) for port doxygen for details. I performed a clean in an attempt to get past this, but obviously failed again.

Georges-MacBook-Pro% sudo port install gnuradio
--->  Computing dependencies for gnuradio
--->  Dependencies to be installed: doxygen fftw-3-single fftw-3 graphviz fontconfig freetype gd2 jpeg tiff xpm xorg-libXext xorg-libX11 xorg-kbproto xorg-libXau xorg-xproto xorg-libXdmcp xorg-libxcb xorg-libpthread-stubs xorg-xcb-proto xorg-xextproto xorg-libXt xorg-libsm xorg-libice gts glib2 libffi pcre libnetpbm libLASi pango Xft2 xrender xorg-renderproto cairo libpixman xorg-xcb-util gobject-introspection libtool py27-mako py27-beaker py27-setuptools py27-markupsafe harfbuzz graphite2 urw-fonts webp xorg-libXaw xorg-libXmu gsl jack db60 libsamplerate libsndfile flac libogg libvorbis libxslt libsdl xorg-libXrandr xorg-randrproto log4cpp pkgconfig portaudio py27-cheetah py27-lxml py27-matplotlib py27-cairo py27-cycler py27-six py27-dateutil py27-tz py27-numpy libgcc cctools llvm-3.7 libcxx llvm_select gmp isl ld64 ld64-latest libmpc mpfr py27-cython cython_select py27-nose nosetests_select py27-parsing py27-pyobjc-cocoa py27-pyobjc py27-py2app py27-macholib py27-modulegraph py27-altgraph py27-tornado py27-backports-ssl_match_hostname py27-backports py27-backports_abc py27-certifi py27-singledispatch qhull py27-opengl py27-Pillow lcms2 openjpeg jbigkit py27-tkinter tk tcl xorg-libXScrnSaver xorg-scrnsaverproto py27-opengl-accelerate py27-pygtk atk gtk2 gdk-pixbuf2 jasper shared-mime-info hicolor-icon-theme xorg-libXcomposite xorg-compositeproto xorg-libXfixes xorg-fixesproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi xorg-inputproto xorg-libXinerama xorg-xineramaproto libglade2 py27-gobject py27-pyqt4 dbus-python27 dbus dbus-glib py27-sip qt4-mac libmng py27-pyqwt qwt52 py27-scipy swig-python swig py27-sphinx py27-alabaster py27-babel py27-docutils py27-roman py27-imagesize py27-jinja2 py27-pygments py27-snowballstemmer sphinx_select py27-wxpython-3.0 wxPython-3.0 wxWidgets-common wxWidgets_select qwtplot3d uhd gzip libusb py27-requests volk orc xmlto coreutils docbook-xml docbook-xml-4.1.2 docbook-xml-4.2 xmlcatmgr docbook-xml-4.3 docbook-xml-4.4 docbook-xml-4.5 docbook-xml-5.0 docbook-xsl findutils fop getopt libpaper
--->  Configuring doxygen
Error: org.macports.configure for port doxygen returned: configure failure: command execution failed
Error: Failed to install doxygen
Please see the log file for port doxygen for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_doxygen/doxygen/main.log
Error: The following dependencies were not installed: doxygen fftw-3-single fftw-3 graphviz fontconfig freetype gd2 jpeg tiff xpm xorg-libXext xorg-libX11 xorg-kbproto xorg-libXau xorg-xproto xorg-libXdmcp xorg-libxcb xorg-libpthread-stubs xorg-xcb-proto xorg-xextproto xorg-libXt xorg-libsm xorg-libice gts glib2 libffi pcre libnetpbm libLASi pango Xft2 xrender xorg-renderproto cairo libpixman xorg-xcb-util gobject-introspection libtool py27-mako py27-beaker py27-setuptools py27-markupsafe harfbuzz graphite2 urw-fonts webp xorg-libXaw xorg-libXmu gsl jack db60 libsamplerate libsndfile flac libogg libvorbis libxslt libsdl xorg-libXrandr xorg-randrproto log4cpp pkgconfig portaudio py27-cheetah py27-lxml py27-matplotlib py27-cairo py27-cycler py27-six py27-dateutil py27-tz py27-numpy libgcc cctools llvm-3.7 libcxx llvm_select gmp isl ld64 ld64-latest libmpc mpfr py27-cython cython_select py27-nose nosetests_select py27-parsing py27-pyobjc-cocoa py27-pyobjc py27-py2app py27-macholib py27-modulegraph py27-altgraph py27-tornado py27-backports-ssl_match_hostname py27-backports py27-backports_abc py27-certifi py27-singledispatch qhull py27-opengl py27-Pillow lcms2 openjpeg jbigkit py27-tkinter tk tcl xorg-libXScrnSaver xorg-scrnsaverproto py27-opengl-accelerate py27-pygtk atk gtk2 gdk-pixbuf2 jasper shared-mime-info hicolor-icon-theme xorg-libXcomposite xorg-compositeproto xorg-libXfixes xorg-fixesproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi xorg-inputproto xorg-libXinerama xorg-xineramaproto libglade2 py27-gobject py27-pyqt4 dbus-python27 dbus dbus-glib py27-sip qt4-mac libmng py27-pyqwt qwt52 py27-scipy swig-python swig py27-sphinx py27-alabaster py27-babel py27-docutils py27-roman py27-imagesize py27-jinja2 py27-pygments py27-snowballstemmer sphinx_select py27-wxpython-3.0 wxPython-3.0 wxWidgets-common wxWidgets_select qwtplot3d uhd gzip libusb py27-requests volk orc xmlto coreutils docbook-xml docbook-xml-4.1.2 docbook-xml-4.2 xmlcatmgr docbook-xml-4.3 docbook-xml-4.4 docbook-xml-4.5 docbook-xml-5.0 docbook-xsl findutils fop getopt libpaper
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port gnuradio failed
Georges-MacBook-Pro% 
#51369 py34-parsing @2.1.2 build failure - known upstream bug snc@… defect Normal ports
Description

Building pyparsing 2.1.2 for Python 3.4 fails with an AttributeError as shown below. According to a couple sources I found, https://sourceforge.net/p/pyparsing/bugs/95/ (upstream bug tracker) and https://github.com/matplotlib/matplotlib/issues/6399, this is a known incompatibility between this version of pyparsing and Python 3.3/3.4. Reportedly the next version of pyparsing, 2.1.3, contains a fix, but it seems not to be in MacPorts - I just updated the tree to check.

If all this is correct, the obvious fix would be to either add pyparsing 2.1.3 to the tree, or block py34-parsing@2.1.2 and py33-parsing@2.1.2 (if that's possible) until version 2.1.3 can be added.

Traceback follows, excerpted from the attached build log:

:info:build Traceback (most recent call last):
:info:build   File "setup.py", line 9, in <module>
:info:build     from pyparsing import __version__ as pyparsing_version
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 3478, in <module>
:info:build     _escapedPunc = Word( _bslash, r"\[]-*.$+^?()~ ", exact=2 ).setParseAction(lambda s,l,t:t[0][1])
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 948, in setParseAction
:info:build     self.parseAction = list(map(_trim_arity, list(fns)))
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 808, in _trim_arity
:info:build     this_line = extract_stack()[-1]
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 793, in extract_stack
:info:build     return [(frame_summary.filename, frame_summary.lineno)]
:info:build AttributeError: 'tuple' object has no attribute 'filename'
#51368 gnutls update does not install gnutls-openssl library mps@… defect Normal ports
Description

The gnutls update in https://trac.macports.org/changeset/148228#file9 for some reason does not install the gnutls-openssl library. Some ports such as gnss-sdr are dead in the water without this library.

#51365 py34-parsing failed to update to 2.1.2 snc@… defect Normal ports
Description

Trying to update py34-parsing and it fails with the following error:

:debug:build Assembled command: 'cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2" && /opt/local/Library/Frameworks/Python.framework/Versions/3.4/bin/python3.4 setup.py --no-user-cfg build'
:debug:build Executing command line:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2" && /opt/local/Library/Frameworks/Python.framework/Versions/3.4/bin/python3.4 setup.py --no-user-cfg build 
:info:build Traceback (most recent call last):
:info:build   File "setup.py", line 9, in <module>
:info:build     from pyparsing import __version__ as pyparsing_version
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 3478, in <module>
:info:build     _escapedPunc = Word( _bslash, r"\[]-*.$+^?()~ ", exact=2 ).setParseAction(lambda s,l,t:t[0][1])
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 948, in setParseAction
:info:build     self.parseAction = list(map(_trim_arity, list(fns)))
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 808, in _trim_arity
:info:build     this_line = extract_stack()[-1]
:info:build   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 793, in extract_stack
:info:build     return [(frame_summary.filename, frame_summary.lineno)]
:info:build AttributeError: 'tuple' object has no attribute 'filename'

I'll attach the whole build log.

#51364 py34-parsing @ 2.1.2 fails to build snc@… defect Normal ports
Description

The python3.x build of py-parsing @2.1.2 fails.

Traceback (most recent call last):
  File "setup.py", line 9, in <module>
    from pyparsing import __version__ as pyparsing_version
  File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 3478, in <module>
    _escapedPunc = Word( _bslash, r"\[]-*.$+^?()~ ", exact=2 ).setParseAction(lambda s,l,t:t[0][1])
  File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 948, in setParseAction
    self.parseAction = list(map(_trim_arity, list(fns)))
  File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 808, in _trim_arity
    this_line = extract_stack()[-1]
  File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-parsing/py34-parsing/work/pyparsing-2.1.2/pyparsing.py", line 793, in extract_stack
    return [(frame_summary.filename, frame_summary.lineno)]
AttributeError: 'tuple' object has no attribute 'filename'

The culprit is found in pyparsing.py:

# this version is Python 2.x-3.x cross-compatible
'decorator to trim function calls to match the arity of the target'
def _trim_arity(func, maxargs=2):
    if func in singleArgBuiltins:
        return lambda s,l,t: func(t)
    limit = [0]
    foundArity = [False]

    if PY_3:
        def extract_stack():
            frame_summary = traceback.extract_stack()[-3]
            return [(frame_summary.filename, frame_summary.lineno)]
        def extract_tb(tb):
            frames = traceback.extract_tb(tb)
            frame_summary = frames[-1]
            return [(frame_summary.filename, frame_summary.lineno)]
    else:
        extract_stack = traceback.extract_stack
        extract_tb = traceback.extract_tb

In python3.x 'traceback.extract_stack()' returns a list of quadruples (filename, line number, function name, text), each of whose elements is accessed by index.

-Joseph

#51357 wavpack @4.75.2_1 fails to build on Leopard i386 jeremyhu@… defect Normal ports
Description

it fails while attempting to assemble (64-bit??)

wavpack-4.75.2

r148467 removes the --disable-asm flag

pack_x86.s:197:suffix or operands invalid for `jnz'
pack_x86.s:199:suffix or operands invalid for `jmp'
pack_x86.s:239:suffix or operands invalid for `jnz'
pack_x86.s:242:suffix or operands invalid for `jmp'
pack_x86.s:283:suffix or operands invalid for `jnz'
pack_x86.s:286:suffix or operands invalid for `jmp'
pack_x86.s:331:suffix or operands invalid for `jnz'
pack_x86.s:334:suffix or operands invalid for `jmp'
pack_x86.s:379:suffix or operands invalid for `jnz'
pack_x86.s:382:suffix or operands invalid for `jmp'
pack_x86.s:427:suffix or operands invalid for `jnz'
pack_x86.s:592:suffix or operands invalid for `jmp'
pack_x86.s:630:suffix or operands invalid for `jnz'
pack_x86.s:648:suffix or operands invalid for `jnz'
pack_x86.s:649:suffix or operands invalid for `jmp'
pack_x86.s:689:suffix or operands invalid for `jnz'
pack_x86.s:737:suffix or operands invalid for `jnz'
pack_x86.s:757:suffix or operands invalid for `jmp'
pack_x86.s:803:suffix or operands invalid for `jnz'
pack_x86.s:814:suffix or operands invalid for `jmp'
pack_x86.s:860:suffix or operands invalid for `jnz'
pack_x86.s:871:suffix or operands invalid for `jmp'
pack_x86.s:918:suffix or operands invalid for `jnz'
pack_x86.s:992:suffix or operands invalid for `jz'
pack_x86.s:1023:suffix or operands invalid for `jmp'
pack_x86.s:1047:suffix or operands invalid for `jnz'
pack_x86.s:1053:suffix or operands invalid for `jnz'
pack_x86.s:1054:suffix or operands invalid for `jmp'
pack_x86.s:1075:suffix or operands invalid for `jnz'
pack_x86.s:1081:suffix or operands invalid for `jnz'
pack_x86.s:1191:suffix or operands invalid for `jnz'
pack_x86.s:1207:suffix or operands invalid for `jnz'
pack_x86.s:1208:suffix or operands invalid for `jmp'
pack_x86.s:1242:suffix or operands invalid for `jnz'
pack_x86.s:1278:suffix or operands invalid for `jnz'
pack_x86.s:1397:suffix or operands invalid for `jne'
pack_x86.s:1398:suffix or operands invalid for `jmp'
pack_x86.s:1421:suffix or operands invalid for `jne'
pack_x86.s:1422:suffix or operands invalid for `jmp'
make[1]: *** [pack_x86.lo] Error 1
make: *** [all-recursive] Error 1

I replaced the --disable-asm for my platform and it successfully compiled and installed

when I checked,

these output variables were set according to config.log

ENABLE_ARMASM_FALSE=''
ENABLE_ARMASM_TRUE='#'
ENABLE_MAN_FALSE=''
ENABLE_MAN_TRUE='#'
ENABLE_RPATH_FALSE=''
ENABLE_RPATH_TRUE='#'
ENABLE_TESTS_FALSE=''
ENABLE_TESTS_TRUE='#'
ENABLE_X64ASM_FALSE=''
ENABLE_X64ASM_TRUE='#'
ENABLE_X86ASM_FALSE='#'
ENABLE_X86ASM_TRUE=''

which seemed wrong to me. I then configured manually by

sudo ./configure --prefix=/opt/local --host=i686-apple-darwin9.8.0 --disable-asm

I guess the "i686" designation is OK for Snow Leopard and Above ?? uname output

9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386

unfortunately, I then let macports install it and the working directory is gone.

#51354 clamav: change pcre dependency in favor to pcre2 dluke@… update Normal ports
Description

Clamav now is capable of PCRE2 as well as PCRE since version 0.99.2, with prioritizing PCRE2 over PCRE if both are found:

PCRE2 support, 8 Feb 2016.

clamconf: reports usage of PCRE2, 8 Feb 2016.

pcre: change pcre config and add pcre2 config, 4 Feb 2016.

#51352 perl5.24: new port mojca@… update Normal ports
Description

I'm adding a new subport for Perl 5.24, but it turned out that flags -Dccflags are problematic and -Accflags should be used instead (see #51330).

This means that we probably need to rebuild all older Perl versions as well (unless we only change flags for Perl 5.24). I'm confused because I don't understand the fact that perl5.22 -V still outputs -DPERL_DARWIN even though it probably doesn't use it during the build.

Some further minor changes were added to support installation of RC.

I would be grateful for wider testing before committing (and breaking) anything (including running the tests). I would commit 5.24, but I'm afraid of screwed something up in earlier versions.

#51351 calife @ 3.0 — new maintainer, new version macports-tickets@… update Normal ports
Description

I'm the author of calife and use it regularly on OS X. I noticed it was unmaintained and out-of-date. Here is an update to both package and information (site, download).

#51350 Add py35-urwid subport to py-urwid macports@… enhancement Normal ports
Description

Patch attached, it simply adds "35" to the list of Python versions. Urwid builds and imports without error on Python 3.5.

#51348 bash-completion @2.1: update to 2.3 raimue@… update Normal ports
Description

bash-completion project has been moved to https://github.com/scop/bash-completion

There's a new version 2.3.

Patch attached.

#51346 nou.nc: "default" host for New Zealand: ping succeeds, HTTP times out admin@… defect Normal server/hosting
Description

I'm based in New Zealand (.nz). At present it appears this is leading to nou.nc being the automatically selected mirror. However at least today nou.nc is pingable, but HTTP connections (at least from New Zealand) seem to just time out. (Which in turn is made worse by my ISP having a transparent HTTP proxy that fakes the connect and then hangs for a long time before it times out; but even testing via another ISP ping still succeeds and HTTP still fails to connect and/or return a result in a sensible amount of time.)

It's not clear to me how nou.nc is being chosen for New Zealand. While both New Caledonia and New Zealand are Pacific Islands they're a long distance apart, and the connections from New Caledonia to anywhere aren't amazing.

It's also not clear to me if nou.nc is even intended to be used from outside New Caledonia. If it isn't, perhaps it shouldn't be in the public list of mirrors?

Normally I'd expect Australia (eg, aarnet.au) is a much better default choice for New Zealand (it is physically and Internet-topology closer than New Caledonia). But oddly there seems to be a 160ms RTT jump on the NZ to aarnet.au path at present, via my normal ISP (but not via another test ISP). Eg, via my main ISP:

ewen@ashram:~$ ping -c 3 aarnet.au.packages.macports.org
PING mirror.aarnet.edu.au (202.158.214.106): 56 data bytes
64 bytes from 202.158.214.106: icmp_seq=0 ttl=51 time=181.136 ms
64 bytes from 202.158.214.106: icmp_seq=1 ttl=51 time=180.148 ms
64 bytes from 202.158.214.106: icmp_seq=2 ttl=51 time=179.894 ms

--- mirror.aarnet.edu.au ping statistics ---
3 packets transmitted, 3 packets received, 0.0% packet loss
round-trip min/avg/max/stddev = 179.894/180.393/181.136/0.536 ms

And via another ISP in the same city (Wellington, NZ):

ewen@noc:~$ ping -c 3 aarnet.au.packages.macports.org
PING mirror.aarnet.edu.au (202.158.214.106) 56(84) bytes of data.
64 bytes from mirror.aarnet.edu.au (202.158.214.106): icmp_req=1 ttl=50 time=47.4 ms
64 bytes from mirror.aarnet.edu.au (202.158.214.106): icmp_req=2 ttl=50 time=47.0 ms
64 bytes from mirror.aarnet.edu.au (202.158.214.106): icmp_req=3 ttl=50 time=47.1 ms

--- mirror.aarnet.edu.au ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2003ms
rtt min/avg/max/mdev = 47.022/47.226/47.496/0.320 ms

So possibly that's why nou.nc is being selected by the ping test -- it's more than 47ms away, but less than 180ms away:

ewen@ashram:~$ ping -c 3 nou.nc.packages.macports.org
PING pub.lagoon.nc (202.22.158.243): 56 data bytes
64 bytes from 202.22.158.243: icmp_seq=0 ttl=48 time=70.361 ms
64 bytes from 202.22.158.243: icmp_seq=1 ttl=48 time=67.023 ms
64 bytes from 202.22.158.243: icmp_seq=2 ttl=48 time=68.514 ms

--- pub.lagoon.nc ping statistics ---
3 packets transmitted, 3 packets received, 0.0% packet loss
round-trip min/avg/max/stddev = 67.023/68.633/70.361/1.365 ms

via both ISPs.

Possibly some/all of the issue with nou.nc is that it's seeing a surprising amount of load due to aarnet.au having a non-trivial RTT latency to several paths, and thus not being selected for requests.

For now I'm attempting to work around this with host_blacklist in macports.conf. But it might be worth someone asking nou.nc if (a) they are actually allowing outside-country HTTP transfers and (b) if they want to be doing so, and (c) if they can actually cope with the load that gets diverted there when another mirror is "misbehaving".

Ewen

#51343 R @3.2.4: update to 3.3.0 macports-tickets@… update Normal ports
Description

Update R port from 3.2.4 to 3.3.0. Had to make a small modification to Defn.h so that the MacPorts libintl.h doesn't get picked up when building with R's included libintl.h.

#51342 Pari version 2.7.5 ryandesign@… update Normal ports
Description

Updates the Pari port to 2.7.5

#51340 dmd-bootstrap, dmd, druntime, phobos, dmd-tools, dmd-doc: 2.071.0 available mcalhoun@… update Normal ports
Description

I tried to update dmd, but I get a strange error when compiling idgen.d. If I issue command manually idgen binary is successfully created.

CC=/usr/bin/clang++ /opt/local/libexec/dmd-bootstrap/bin/dmd idgen.d
Undefined symbols for architecture x86_64:
  "__Unwind_GetIPInfo", referenced from:
      ___dmd_personality_v0 in libphobos2.a(dwarfeh_5c8_811.o)
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)

Marcus, you have been contributing to the improvement of the build system. Could you take over the ownership from me?

#51338 Homebank @5.0.7 updating a port to a newer upstream version macports-tickets@… update Normal ports
Description

Hello

I updated from version 5.0.6 to 5.0.7

Thank you

#51335 libbert @0.0.1: install_name not set ryandesign@… defect Normal ports
Description

LibBERT fails to build with the following included int he output:

Could not open libbert.dylib: Error opening or reading file (referenced from /opt/local/lib/libbert_capi.dylib)
DEBUG: Marking /opt/local/lib/libbert_capi.dylib as broken

The file seems in tact, however:

ll /opt/local/lib/libbert.dylib
-rwxr-xr-x  1 root  admin  69096 May  8 01:57 /opt/local/lib/libbert.dylib*
#51332 mesa: build fails on 10.6 applying static-strndup.patch jeremyhu@… defect Normal ports
Description

Application of static-strndup.patch fails as follows

--->  Applying static-strndup.patch
DEBUG: Environment: 
CC_PRINT_OPTIONS='YES'
CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_mports_dports_x11_mesa/mesa/work/.CC_PRINT_OPTIONS'
CPATH='/opt/local/include'
LIBRARY_PATH='/opt/local/lib'
MACOSX_DEPLOYMENT_TARGET='10.6'
DEBUG: Assembled command: 'cd "/opt/local/var/macports/build/_opt_mports_dports_x11_mesa/mesa/work/mesa-11.2.1" && /usr/bin/patch -p1'
DEBUG: Executing command line:  cd "/opt/local/var/macports/build/_opt_mports_dports_x11_mesa/mesa/work/mesa-11.2.1" && /usr/bin/patch -p1 < '/opt/mports/dports/x11/mesa/files/static-strndup.patch'
patching file src/mesa/drivers/dri/common/xmlconfig.c
Hunk #1 succeeded at 111 (offset 6 lines).
can't find file to patch at input line 30
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- a/src/glsl/linker.cpp	2015-12-27 23:31:13.000000000 -0800
|+++ b/src/glsl/linker.cpp	2015-12-27 23:34:01.000000000 -0800
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
patching file src/util/ralloc.c
Hunk #1 succeeded at 354 with fuzz 2 (offset 1 line).
Command failed:  cd "/opt/local/var/macports/build/_opt_mports_dports_x11_mesa/mesa/work/mesa-11.2.1" && /usr/bin/patch -p1 < '/opt/mports/dports/x11/mesa/files/static-strndup.patch'

#51331 Processing of port gst failed macports-tickets@… defect Normal ports
Description
$ sudo port install -v gst
--->  Computing dependencies for gst
--->  Fetching archive for gst
Warning: Your DNS servers incorrectly claim to know the address of nonexistent hosts. This may cause checksum mismatches for some ports. See this page for more information: <https://trac.macports.org/wiki/MisbehavingServers>
--->  Attempting to fetch gst-3.1_5+gtk+tcltk.darwin_9.i386.tbz2 from https://packages.macports.org/gst
--->  Attempting to fetch gst-3.1_5+gtk+tcltk.darwin_9.i386.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/gst
--->  Attempting to fetch gst-3.1_5+gtk+tcltk.darwin_9.i386.tbz2 from http://lil.fr.packages.macports.org/gst
--->  Fetching distfiles for gst
--->  Verifying checksums for gst
--->  Extracting gst
--->  Applying patches to gst
--->  Configuring gst
--->  Building gst
Error: org.macports.build for port gst returned: command execution failed
#51330 perl5.24.0-RC5: broken build mojca@… defect Normal ports
Description

Building perl 5.24.0-RC5 in the same way as any other older Perl version breaks for me:

env MACOSX_DEPLOYMENT_TARGET=10.7 /usr/bin/clang -o libperl.dylib \
    -L/opt/local/lib -Wl,-headerpad_max_install_names \
    -arch x86_64 -fstack-protector -dynamiclib \
    -compatibility_version 5.24.0 -current_version 5.24.0 \
    -install_name /opt/local/lib/perl5/5.24/darwin-thread-multi-2level/CORE/libperl.dylib \
    op.o perl.o gv.o toke.o perly.o pad.o regcomp.o dump.o util.o mg.o reentr.o mro_core.o keywords.o hv.o av.o run.o pp_hot.o sv.o pp.o scope.o pp_ctl.o pp_sys.o doop.o doio.o regexec.o utf8.o taint.o deb.o universal.o globals.o perlio.o perlapi.o numeric.o mathoms.o locale.o pp_pack.o pp_sort.o caretx.o dquote.o time64.o DynaLoader.o \
    -lpthread -ldl -lm -lutil -lc 

Undefined symbols for architecture x86_64:
  "_environ", referenced from:
      _perl_construct in perl.o
      _S_init_postdump_symbols in perl.o
      _Perl_my_setenv in util.o
      _Perl_my_clearenv in util.o
      _Perl_init_i18nl10n in locale.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make: *** [libperl.dylib] Error 1
make: *** Waiting for unfinished jobs....

Link to upstream report:

#51329 esdl @ 1.2_1 file checksum mismatch bfulgham@… defect Normal ports
Description

During the esdl port install, checksum of esdl-1.2.src.tar.gz failed. Ports reports the following:

--->  Fetching distfiles for esdl
--->  Attempting to fetch esdl-1.2.src.tar.gz from http://iweb.dl.sourceforge.net/esdl
--->  Verifying checksums for esdl
Error: Checksum (md5) mismatch for esdl-1.2.src.tar.gz
Error: Checksum (sha1) mismatch for esdl-1.2.src.tar.gz
Error: Checksum (rmd160) mismatch for esdl-1.2.src.tar.gz
***
The non-matching file appears to be HTML. See this page for possible reasons
for the checksum mismatch:
<https://trac.macports.org/wiki/MisbehavingServers>

There are two issues. The primary issue is the error message and failure to install. The secondary issue is the presence of the newer version.

As for the primary issue, the HTML file referred to above is actually a SourceForge's page. It seems as if the URL that points to the esdl tarball could be incorrect. I can manually locate the esdl-1.2.src.tar.gz file at: https://sourceforge.net/projects/esdl/files/esdl/esdl-1.2/esdl-1.2.src.tar.gz/download

Nevertheless, I don't know how fully to resolve this issue.

The secondary issue is that esdl version 1.2 was releasted in 2011. And esdl version 1.3 was released in 2013 and is available for download at Source Forge. And if workable, I'm interested in the newer versions availability.

Thank you.

#51326 gcc5: gfortran is missing macports-tickets@… defect Normal ports
Description

I've installed the gcc package and gfortran-mp-5 installs into /opt/local/bin/gfortran-mp-5. However, there is no 'gfortan' link so that script packages like SciPy fail to build because of that.

My workaround was to add a softlink into my local ~/bin which is part of the system $PATH:

ln -s /opt/local/bin/gfortran-mp-5 gfortran

Perhaps it makes sense to add this link /opt/local/bin?

#51323 libgcc update @5.3.0_0 to @6.1.0_0 Building error when using port selfupdate outdated macports-tickets@… defect Normal ports
Description

I am trying to upgrade the ports outdated in my MacOS 10.10.5 (Xcode 7.2) and it fails in updating libgcc. Here is the error message and the main.log is in attachement.

--->  Computing dependencies for libgcc
--->  Fetching archive for libgcc
--->  Attempting to fetch libgcc-6.1.0_0.darwin_14.x86_64.tbz2 from https://packages.macports.org/libgcc
--->  Attempting to fetch libgcc-6.1.0_0.darwin_14.x86_64.tbz2 from http://sea.us.packages.macports.org/macports/packages/libgcc
--->  Attempting to fetch libgcc-6.1.0_0.darwin_14.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/libgcc
--->  Fetching distfiles for libgcc
--->  Attempting to fetch gcc-6.1.0.tar.bz2 from https://distfiles.macports.org/gcc6
--->  Verifying checksums for libgcc                                                 
--->  Extracting libgcc
--->  Configuring libgcc
--->  Building libgcc
Error: org.macports.build for port libgcc returned: command execution failed
Please see the log file for port libgcc for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_gcc6/libgcc/main.log
Error: Unable to upgrade port: 1
#51322 libgcc: Bootstrap comparison fails! mww@… defect Normal ports
Description

Clean build with yosemite fails. Installed 7.2.1 xcode and tools. Clean install of macports.

sudo port uninstall all
sudo port install libgcc
#51320 archivefetch failed for libcxx @3.7.1_0 jeremyhu@… defect Normal base
Description

I am trying to install a program that uses MacPorts, but it failed to install one of the archives (libcxx). See below and attached log file. I am running El Capitan OS 10.11.3.

Input: sudo port install xorg-server demeter

Partial output:

--->  Attempting to fetch libcxx-3.7.1_0.darwin_15.x86_64.tbz2 from http://jog.id.packages.macports.org/macports/packages/libcxx
Error: org.macports.archivefetch for port libcxx returned: archivefetch failed for libcxx @3.7.1_0
Error: Failed to install libcxx
Please see the log file for port libcxx for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_libcxx/libcxx/main.log
Error: The following dependencies were not installed: ifeffit...
...
Error: Processing of port demeter failed
#51319 taglib @1.11: missing shared library breaks a number of dependents macports-tickets@… defect Normal ports
Description

After upgrading to taglib @1.11 in r148371, taglib no longer installs shared library libtag.1.dylib only providing a static library.

This breaks a number of dependent ports that were previously linked to this shared library. Hopefully, the shared library can be restored.

An (incomplete) list of ports effected is:

     easytag @2.4.2 
         /opt/local/bin/easytag
     juk @4.14.3 
         /Applications/MacPorts/KDE4/juk.app/Contents/MacOS/juk
     gstreamer010-gst-plugins-good @0.10.31 +pulseaudio
         /opt/local/lib/gstreamer-0.10/libgsttaglib.so
     gstreamer1-gst-plugins-good @1.8.0 +pulseaudio
         /opt/local/lib/gstreamer-1.0/libgsttaglib.so
     mythtv-core.27 @0.27.6-Fixes-20160208 
         /opt/local/lib/libmythmetadata-0.27.0.27.0.dylib
     taglib-extras @1.0.1 
         /opt/local/lib/libtag-extras.1.0.0.dylib

See also related ticket #51318.

#51318 gstreamer1-gst-plugins-good fail to install after upgrade to taglib @1.11 devans@… defect Normal ports
Description

From a clean install of macports on 10.11.4 gimp requires gstreamer1, and this install fails. Attached log file

#51317 erlsom @1.2.1_1 Configure error causes build failure ryandesign@… defect Normal ports
Description

Erlsom build fails during the configure phase. It reports that that the dependency Erlang is broken, citing a missing path. Nevertheless, the path exists and Erlang executes normally.

The configure.log error line reads:

configure:1920: error: Broken Erlang installation, "/opt/local/lib/erlang" does not exist!

Erlang not only exists, but this path is valid and Erlang runs normally.

#51316 monit @5.12.1: Couldn't find your SSL header files ryandesign@… defect Normal ports
Description
54 # port installed | grep openssl
  openssl @1.0.2g_0 (active)

#port install -v monit 
...
checking for SSL support... enabled
checking for SSL include directory... Not found


Couldn't find your SSL header files.
Use --with-ssl-incl-dir option to fix this problem or disable
the SSL support with --without-ssl

found this via google: credit Mario Aeby

https://translate.google.com/translate?hl=en&sl=de&u=https://blog.emeidi.com/2016/04/02/monit-mit-macports-unter-os-x-el-capitan-installieren-mit-angeblich-fehlenden-openssl-headern/&prev=search

ln -s /path/to/my/macports/opt/local/include /usr/local/include

port -v install monit
....
--->  Cleaning monit
--->  Removing work directory for monit
--->  Updating database of binaries
--->  Scanning binaries for linking errors
--->  No broken files found.   
                          
53 # monit -V
This is Monit version 5.12.1
Copyright (C) 2001-2015 Tildeslash Ltd. All Rights Reserved.
#51315 quodlibet: update to 3.6.1 elelay@… update Normal ports
Description

Quodlibet 3.6.1 has been released. The current portfile is for version 3.5.1. Attached is a diff to update the port - 3.6.1 is working fine for me on El Capitan.

#51314 gdal build fails when qhull port is active vince@… defect Normal ports
Description

On both El Capitan and Snow Leopard, "upgrade gdal" fails if the variants require a local build.

With an active qhull port, the build fails to find libqhull.h, although

$ port installed qhull
The following ports are currently installed:
qhull @2012.1_3 (active)

$ locate libqhull.h
/opt/local/include/libqhull/libqhull.h

From config.log:

configure:29172: checking libqhull/libqhull.h usability
configure:29172: /usr/bin/clang -c -pipe -DGDAL_COMPILATION -arch x86_64 -I/opt/local/include -I/opt/local/include conftest.c >&5
configure:29172: $? = 0
configure:29172: result: yes
configure:29172: checking libqhull/libqhull.h presence
configure:29172: /usr/bin/clang -E -I/opt/local/include -I/opt/local/include conftest.c
configure:29172: $? = 0
configure:29172: result: yes

and config.status has:

S["EXTRA_INCLUDES"]="-I/usr/local/include/qhull -I/usr/local/include/qhull -I/opt/local/include -I/opt/local -I/opt/local/include -I/opt/local -I/opt/local/include -I/op"\
"t/local/include -I/opt/local/include -I/opt/local -I/opt/local/include -I/opt/local -I/opt/local/include "

This matches what is installed

$ cd /opt/local/include
$ ls -ld qhull libqhull
drwxr-xr-x  25 root  admin  850 23 Mar 13:38 libqhull
lrwxr-xr-x   1 root  admin   27 30 Jan 00:18 qhull -> /opt/local/include/libqhull

Gdal provides libqhull:

$ cd $(port dir gdal)/work/gdal-2.1.0
$ find . -name libqhull.h
./alg/libqhull/libqhull.h

A workaround is to deactivate qhull port, build gdal, activate qhull, then upgrade outdated.

#51313 mpv: Add python35 variant ionic@… enhancement Normal ports
Description

Please add a python35 variant to mpv.

#51311 libgcc @6.1.0_0 building fails macports-tickets@… defect Normal ports
Description

Building fails when upgrading libgcc from 5.3.0_1 to 6.1.0_0. This is on OS X 10.10.5; with Xcode 7.2.1 (the newer 7.3.1 doesn't seem to install on Yosemite)

This is what it shows in

/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_gcc6/libgcc/main.log

just before the first error:

:info:build Comparing stages 2 and 3
:info:build warning: gcc/cc1-checksum.o differs
:info:build warning: gcc/cc1obj-checksum.o differs
:info:build warning: gcc/cc1objplus-checksum.o differs
:info:build warning: gcc/cc1plus-checksum.o differs
:info:build Bootstrap comparison failure!
:info:build gcc/ipa-icf.o differs
:info:build gcc/tree-ssa-structalias.o differs
:info:build libcpp/expr.o differs
:info:build make[2]: *** [compare] Error 1
:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.or$
:info:build make[1]: *** [stage3-bubble] Error 2
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.or$
:info:build make: *** [bootstrap] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_r$
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_relea$
:info:build Exit code: 2
:error:build org.macports.build for port libgcc returned: command execution failed
:debug:build Error code: CHILDSTATUS 478 2
:debug:build Backtrace: command execution failed
#51309 libproxy @0.4.13 fails to build against libstdc++ (requires C++11) macports-tickets@… defect Normal ports
Description

While upgrading libproxy from 0.4.12 to 0.4.13 I receive this error message:

...
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_libproxy/libproxy/work/build/libproxy && /Developer/usr/bin/g++-4.2 -D_POSIX_C_SOURCE=200112L -Dconfig_kde_EXPORTS -DLIBEXECDIR=\"/opt/local/libexec\" -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_libproxy/libproxy/work/libproxy-0.4.13 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include  -fvisibility=hidden -pipe -Os  -DNDEBUG -arch ppc -mmacosx-version-min=10.5 -fPIC   -o CMakeFiles/config_kde.dir/modules/config_kde.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_libproxy/libproxy/work/libproxy-0.4.13/libproxy/modules/config_kde.cpp
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_libproxy/libproxy/work/libproxy-0.4.13/libproxy/modules/config_kde.cpp: In member function ‘std::string kde_config_extension::kde_config_val(const std::string&, const std::string&)’:
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_libproxy/libproxy/work/libproxy-0.4.13/libproxy/modules/config_kde.cpp:165: error: ‘class std::map<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >’ has no member named ‘at’
:info:build make[2]: *** [libproxy/CMakeFiles/config_kde.dir/modules/config_kde.cpp.o] Error 1
...

Some ideas?

#51307 libplist fails on El Cap macports-tickets@… defect Normal ports
Description

Hi,

I have an MacBook Pro with 10.11.2 El Capitan.

I have made a lot of tests and read a lot of documents, but I amn't enable to install the last two library (libgpod libplist) used by digikam.

I have joint two documents. The first give you the procedure I have followed. The second is the content of the log file generated.

Can you help me.

Thank a lot

#51305 Putting ports up for adoption, maintainer retired jwbacon@… enhancement Normal ports
Description

Hi guys,

Sorry to tell you that I'm no longer developing for Mac and it's time to relinquish maintainership.

The following ports should be set to nomaintainer or removed:

comms/cutecom-qt4-mac
devel/cproto
devel/roboctl
sysutils/endian

It's been fun!

Jason

#51304 openssl 1.0.2h failing to download larryv@… defect Normal ports
Description

I am trying to update openssl but am getting the following error:

--->  Computing dependencies for openssl
--->  Fetching distfiles for openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from https://distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://mse.uk.distfiles.macports.org/sites/distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://lil.fr.distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://nue.de.distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://www.openssl.org/source
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://osl.no.distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://fco.it.distfiles.macports.org/mirrors/macports-distfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://ykf.ca.distfiles.macports.org/MacPorts/mpdistfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://sea.us.distfiles.macports.org/macports/distfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://jnb.za.distfiles.macports.org/distfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://jog.id.distfiles.macports.org/macports/distfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://cjj.kr.distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://aarnet.au.distfiles.macports.org/pub/macports/mpdistfiles/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://her.gr.distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://nou.nc.distfiles.macports.org/pub/macports/distfiles.macports.org/openssl
--->  Attempting to fetch openssl-1.0.2h.tar.gz from http://svn.macports.org/repository/macports/distfiles/openssl
Error: org.macports.fetch for port openssl returned: fetch failed
Please see the log file for port openssl for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_devel_openssl/openssl/main.log
Error: Unable to upgrade port: 1
Error: Unable to execute port: upgrade python27 failed
#51302 Dovecot Setup Issue. markd@… request Normal guide
Description

Hi.

I have a Mac mini running OS X Yosemite and I'm attempting to follow these instructions: https://trac.macports.org/wiki/howto/SetupDovecot

I have a problem here: Step 2: create directories

When I enter the following at the command line: sudo chown _dovecot:_dovecot /opt/local/var/log/dovecot OS X responds with the following: chown: _dovecot: illegal group name

Previous command line code entered, from here: https://trac.macports.org/attachment/wiki/howto/SetupDovecot/Make_Dovecot_User.command: sudo dscl . -create /Groups/_dovecot sudo dscl . -create /Groups/_dovecot UniqueID 30 sudo dscl . -create /Users/_dovecot sudo dscl . -create /Users/_dovecot UserShell /bin/false sudo dscl . -create /Users/_dovecot RealName "Dovecot IMAP Server" sudo dscl . -create /Users/_dovecot UniqueID 30 sudo dscl . -create /Users/_dovecot PrimaryGroupID 30 sudo dscl . -create /Users/_dovecot NFSHomeDirectory /opt/local/var/run/dovecot

Notes: The _dovecot Group isn't assigned a PrimaryGroupID, but instead a UniqueID. A PrimaryGroupID of 30 is assigned to the _dovecot User. When I view a list of all Groups via the following command: dscl . readall /groups I see a PrimaryGroupID of 30 has already been assigned to _keytabusers.

I’m unsure what to do; the following are potential options: Assign the Group _dovecot a PrimaryGroupID; this may prevent the 'chown: _dovecot: illegal group name' OS X response. Assign a different PrimaryGroupID, i.e. other than 30, to both User and Group to avoid the potential conflict with _keytabusers.

There may have already been a _dovecot User or Group in the 200 range that I deleted as a result of my confusion. Perhaps this was assigned during the earlier 'Install dovecot' command, i.e. 'port install dovecot'. Do you know what the original PrimaryGroupID of such a User or Group was? If a different PrimaryGroupID is used, i.e. other than 30, presumably the one I deleted would be best.

Another option is to upgrade to OS X El Capitan, although I'm not sure whether that will remove the dovecot install thereby allowing me to start again. I'm also unsure whether I could run the 'port install dovecot' command a second time in OS X Yosemite to restore the _dovecot User / Group.

Thanks and best regards, Karl.

#51301 ImageMagick @6.9.3-4: Security update to 6.9.3-9 ryandesign@… update Normal ports
Description

ImageMagick has a serious security issue (CVE-2016-3714). Update to 6.9.3-9 attached.

BTW: ImageMagick 6.9.3-9 is now the legacy version. ImageMagick 7.0.1 is current.

#51300 aria2 @1.19.0: update to 1.22.0 mww@… update Normal ports
Description

aria2 has been moved to github. Hence livecheck no longer provided correct information on updates.

Rewrite of Portfile for the github port group.

See https://github.com/aria2/aria2/releases for changes since version 1.19.0.

#51299 digikam-4.9.0_0.darwin_15.x86_64.tbz2 fails to build on OSX 10.11.4 jan@… defect Normal ports
Description

After a few dependancy errors which I resolved I started a clean build of digicam ...

command line...

sudo port install digikam
--->  Computing dependencies for digikam
--->  Fetching archive for digikam
--->  Attempting to fetch digikam-4.9.0_0.darwin_15.x86_64.tbz2 from http://osl.no.packages.macports.org/digikam
--->  Attempting to fetch digikam-4.9.0_0.darwin_15.x86_64.tbz2 from https://packages.macports.org/digikam
--->  Attempting to fetch digikam-4.9.0_0.darwin_15.x86_64.tbz2 from http://lil.fr.packages.macports.org/digikam
--->  Fetching distfiles for digikam
--->  Verifying checksums for digikam
--->  Extracting digikam
--->  Configuring digikam
--->  Building digikam
Error: org.macports.build for port digikam returned: command execution failed
Please see the log file for port digikam for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_kde_digikam/digikam/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port digikam failed
#51297 logtalk @3.04.1: update to 3.04.2 macports-tickets@… update Normal ports
Description

Update the logtalk portfile for the latest release.

#51293 scantailor @0.9.11.1 Outdated references to Sourceforge raphael@… defect Normal ports
Description

The portfile contains a number of references to Sourceforge, but the project is now hosted on Github.

16 homepage http://${name}.sourceforge.net/ 31 master_sites sourceforge:project/scantailor/scantailor/${version} 65 livecheck.type sourceforge

Github: https://github.com/scantailor/scantailor Main site: http://scantailor.org/

1 2 3 4 5 6 7 8 9 10 11
Note: See TracQuery for help on using queries.